import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeUserListResultModel(_base.BaseAPIResultModel):
    data: _nested.VMACLAPIResultNM
    entry_count: int


class CloudapiComputeUserListProtocol(_base.BasePostAPIFunctionProtocol):
    def user_list(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeUserListResultModel:
        ...
